import type { _NSCopying } from "../Foundation/NSCopying.js";
import type { _NSNumber } from "../Foundation/NSNumber.js";
import type { _NSObject } from "../Foundation/NSObject.js";
export declare class _MTRBasicInformationClusterProductAppearanceStruct extends _NSObject {
    static alloc(): _MTRBasicInformationClusterProductAppearanceStruct;
    static new(): _MTRBasicInformationClusterProductAppearanceStruct;
    init(): _MTRBasicInformationClusterProductAppearanceStruct;
    finish(): _NSNumber;
    setFinish$(value: _NSNumber): void;
    primaryColor(): _NSNumber | null;
    setPrimaryColor$(value: _NSNumber | null): void;
}
export interface _MTRBasicInformationClusterProductAppearanceStruct extends _NSCopying {
}
